Bug 1123611 - [abrt] geary: g_strescape(): geary killed by SIGABRT
Summary: [abrt] geary: g_strescape(): geary killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: geary
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Thomas Moschny
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:37f637c894e91a8e64ccf79da57...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-27 08:44 UTC by karlitos
Modified: 2015-06-29 21:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:47:31 UTC


Attachments (Terms of Use)
File: backtrace (26.26 KB, text/plain)
2014-07-27 08:44 UTC, karlitos
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-27 08:44 UTC, karlitos
no flags Details
File: core_backtrace (31.66 KB, text/plain)
2014-07-27 08:44 UTC, karlitos
no flags Details
File: dso_list (18.45 KB, text/plain)
2014-07-27 08:44 UTC, karlitos
no flags Details
File: environ (1.21 KB, text/plain)
2014-07-27 08:44 UTC, karlitos
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-27 08:44 UTC, karlitos
no flags Details
File: maps (82.71 KB, text/plain)
2014-07-27 08:44 UTC, karlitos
no flags Details
File: open_fds (1.36 KB, text/plain)
2014-07-27 08:44 UTC, karlitos
no flags Details
File: proc_pid_status (936 bytes, text/plain)
2014-07-27 08:44 UTC, karlitos
no flags Details
File: var_log_messages (8.39 KB, text/plain)
2014-07-27 08:44 UTC, karlitos
no flags Details

Description karlitos 2014-07-27 08:44:40 UTC
Description of problem:
Launching geray, singing to my zoho-mail account, clicking on labels resulted in crash.

Version-Release number of selected component:
geary-0.6.1-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 3
cmdline:        geary
crash_function: g_strescape
executable:     /usr/bin/geary
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (9 frames)
 #2 g_strescape at /lib64/libglib-2.0.so.0
 #3 geary_imap_engine_minimal_folder_open_internal at /usr/src/debug/geary-0.6.1/src/engine/imap-engine/imap-engine-minimal-folder.vala:481
 #4 geary_imap_engine_minimal_folder_real_open_async_co at /usr/src/debug/geary-0.6.1/src/engine/imap-engine/imap-engine-minimal-folder.vala:458
 #5 geary_imap_engine_minimal_folder_real_open_async at /usr/src/debug/geary-0.6.1/src/engine/imap-engine/imap-engine-minimal-folder.vala:7
 #6 geary_app_conversation_monitor_start_monitoring_async_co at /usr/src/debug/geary-0.6.1/src/engine/app/app-conversation-monitor.vala:292
 #7 geary_app_conversation_monitor_start_monitoring_async at /usr/src/debug/geary-0.6.1/src/engine/app/app-conversation-monitor.vala:7
 #8 geary_controller_do_select_folder_co at /usr/src/debug/geary-0.6.1/src/client/application/geary-controller.vala:1088
 #9 g_network_address_address_enumerator_next_async at /lib64/libgio-2.0.so.0
 #10 ??

Comment 1 karlitos 2014-07-27 08:44:44 UTC
Created attachment 921382 [details]
File: backtrace

Comment 2 karlitos 2014-07-27 08:44:45 UTC
Created attachment 921383 [details]
File: cgroup

Comment 3 karlitos 2014-07-27 08:44:47 UTC
Created attachment 921384 [details]
File: core_backtrace

Comment 4 karlitos 2014-07-27 08:44:48 UTC
Created attachment 921385 [details]
File: dso_list

Comment 5 karlitos 2014-07-27 08:44:49 UTC
Created attachment 921386 [details]
File: environ

Comment 6 karlitos 2014-07-27 08:44:51 UTC
Created attachment 921387 [details]
File: limits

Comment 7 karlitos 2014-07-27 08:44:53 UTC
Created attachment 921388 [details]
File: maps

Comment 8 karlitos 2014-07-27 08:44:54 UTC
Created attachment 921389 [details]
File: open_fds

Comment 9 karlitos 2014-07-27 08:44:55 UTC
Created attachment 921390 [details]
File: proc_pid_status

Comment 10 karlitos 2014-07-27 08:44:57 UTC
Created attachment 921391 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 12:29:13 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 21:47:31 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.